Skip to main content
`Ctrl`+`K`

# VecMAXPBY

Computes `y = beta y + sum alpha[i] x[i]`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMAXPBY(Vec y, PetscInt nv, const PetscScalar alpha[], PetscScalar beta, Vec x[])

Logically Collective

## Input Parameters

- nv - number of scalars and `x` vectors

- alpha - array of scalars

- beta - scalar

- y - one vector

- x - array of vectors

## Note

`y` cannot be any of the `x` vectors.

## Developer Notes

This is a convenience routine, but implementations might be able to optimize it, for example, when `beta` is zero.

## See Also

Vectors and Parallel Data, `Vec`, `VecMAXPY()`, `VecAYPX()`, `VecWAXPY()`, `VecAXPY()`, `VecAXPBYPCZ()`, `VecAXPBY()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages